Name:		apulse
Version:	0.1.13
Release:	3%{?dist}
Summary:	PulseAudio emulation for ALSA 

Group:		System Environment/Libraries
License:	MIT
URL:		https://github.com/i-rinat/apulse
Source0:	https://github.com/i-rinat/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	alsa-lib-devel glib2-devel cmake gcc gcc-c++ 
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

# Prevent other packages installing pulseaudio and pipewire as dependencies
Provides:	pulseaudio = 100-1 alsa-plugins-pulseaudio alsa-plugins-pulseaudio%{?_isa}
Provides:	pipewire = 100-1 pipewire-alsa pipewire-alsa%{?_isa}
Obsoletes:	pulseaudio < 100 pipewire < 100

%description
PulseAudio emulation for ALSA.

%prep
%setup -q
sed -i 's|/lib/apulse|/%{_lib}/apulse|' CMakeLists.txt
sed -i 's|\(APULSE_SEARCH_PATHS.*\)${APULSEPATH}|\1%{_prefix}/lib64/apulse:%{_prefix}/lib/apulse|' CMakeLists.txt

%build
%cmake -DCMAKE_BUILD_TYPE=Release .
%cmake_build

%install
%cmake_install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license LICENSE.MIT
%doc README.md
%{_bindir}/apulse
%{_libdir}/apulse
%{_mandir}/man1/apulse.1*

%changelog
* Wed Jan 20 2021 Miroslav Lichvar <mlichvar@redhat.com> 0.1.13-3
- block pipewire and pulseaudio better

* Mon Jan 11 2021 Miroslav Lichvar <mlichvar@redhat.com> 0.1.13-2
- block pipewire
- convert to cmake rpm macros

* Thu Jun 04 2020 Miroslav Lichvar <mlichvar@redhat.com> 0.1.13-1
- update to 0.1.13

* Thu Feb 07 2019 Miroslav Lichvar <mlichvar@redhat.com> 0.1.12-2
- add gcc to build requirements

* Tue Jul 10 2018 Miroslav Lichvar <mlichvar@redhat.com> 0.1.12-1
- update to 0.1.12

* Wed Jan 03 2018 Miroslav Lichvar <mlichvar@redhat.com> 0.1.10-3
- provide also arched alsa-plugins-pulseaudio

* Thu Nov 30 2017 Miroslav Lichvar <mlichvar@redhat.com> 0.1.10-2
- provide pulseaudio and alsa-plugins-pulseaudio

* Tue May 09 2017 Miroslav Lichvar <mlichvar@redhat.com> 0.1.10-1
- update to 0.1.10

* Fri Mar 17 2017 Miroslav Lichvar <mlichvar@redhat.com> 0.1.9-1
- update to 0.1.9

* Tue Mar 14 2017 Miroslav Lichvar <mlichvar@redhat.com> 0.1.8-2
- fix multilib conflict

* Mon Mar 13 2017 Miroslav Lichvar <mlichvar@redhat.com> 0.1.8-1
- initial release
